#!/sbin/sh

SRC_DIR=/data
TMP_DIR=/tmp/DataOnSD
PART_EXT=/dev/block/mmcblk1p2
VALID_TAG=".LGF6DataOnSD_DO_NOT_REMOVE"

EXIT_CODE=1
mkdir $TMP_DIR
mount -t ext4 $PART_EXT $TMP_DIR
if [[ "$?" = "0" ]]; then
  if [[ ! -f $TMP_DIR/$VALID_TAG ]]; then
    rm -r $TMP_DIR/*
    rm -r $TMP_DIR/.*
    tar -cp -C $SRC_DIR ./ | tar -xp -C $TMP_DIR
    busybox chcon --reference=$SRC_DIR $TMP_DIR
    touch $TMP_DIR/$VALID_TAG
    EXIT_CODE=0
  fi
  umount $TMP_DIR
fi
rmdir $TMP_DIR
exit $EXIT_CODE
